<!doctype html>
<html>
  <head>
    <title>hook-picture demo</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">

    <script>
      window.addEventListener('WebComponentsReady', function(){
        console.log('resolved');
        document.body.removeAttribute('unresolved');
      });
    </script>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">
    <link rel="import" href="../../iron-image/iron-image.html">

    <link rel="import" href="../hook-picture.html">
    <link rel="import" href="../hook-picture-source.html">

    <style is="custom-style" include="demo-pages-shared-styles">
      [unresolved] {
        display:none;
      }
    </style>
  </head>
  <body unresolved>

    <dom-module id="picture-test">
      <template>
        <hook-picture src="{{src}}" fallback-src="http://placehold.it/350x150">
          <hook-picture-source src="http://placehold.it/1000x150" media="(min-width: 1000px)"></hook-picture-source>
          <hook-picture-source src="http://placehold.it/600x150" media="(min-width: 600px)"></hook-picture-source>
        </hook-picture>
        <div style="">
          [[src]]
        </div>
      </template>
      <script>
        class PictureTest extends Polymer.Element {
          static get is() {
            return 'picture-test';
          }
          static get properties() {
            return {
              src: String
            }
          }
        }
        window.customElements.define(PictureTest.is, PictureTest);
      </script>
    </dom-module>

    <div class="vertical-section-container">
      <h3>Basic hook-picture Demo</h3>
      <demo-snippet>
        <template>

          <h1>Regular Image</h1>
          <hook-picture fallback-src="http://placehold.it/350x150">
            <hook-picture-source src="http://placehold.it/1000x150" media="(min-width: 1000px)"></hook-picture-source>
            <hook-picture-source src="http://placehold.it/600x150" media="(min-width: 600px)"></hook-picture-source>
            <img alt="image">
          </hook-picture>

          <h1>Iron Image</h1>
          <hook-picture fallback-src="http://placehold.it/350x150">
            <hook-picture-source src="http://placehold.it/1000x150" media="(min-width: 1000px)"></hook-picture-source>
            <hook-picture-source src="http://placehold.it/600x150" media="(min-width: 600px)"></hook-picture-source>
            <iron-image preload fade alt="image"></iron-image>
          </hook-picture>

          <h1>Bound to variable.</h1>
          <picture-test></picture-test>

        </template>
      </demo-snippet>
    </div>

  </body>
</html>
